using System.Windows;
using Telerik.Windows.Controls;
using System;
using System.Windows.Media.Imaging;
using RibbonView.Silverlight.Common;

namespace Telerik.Windows.Examples.RibbonView.Word
{
	public partial class Example : System.Windows.Controls.UserControl
	{
		public Example()
		{
			InitializeComponent();

			DataContext = new RibbonIconsViewModel();
		}

		private void ButtonClick(object sender, RoutedEventArgs e)
		{
			UIElement source = e.OriginalSource as UIElement;
			if (source == null)
			{
				RadRoutedEventArgs args = e as RadRoutedEventArgs;
				if (args != null)
					source = args.OriginalSource as UIElement;
			}
		}

		private void RibbonGroup_LaunchDialog(object sender, RadRoutedEventArgs e)
		{
			RadWindow.Alert("Show Group Options");
		}

		private void QuickStyles_ActivatePreview(object sender, RadRoutedEventArgs e)
		{
			RadGalleryItem galleryItem = (e.OriginalSource as RadGalleryItem);
			if (galleryItem != null)
			{
				string imageUriString = "/RibbonView/IconMSOffice/" + galleryItem.Name + ".png";
				this.titleImage.Source = new BitmapImage(new Uri(imageUriString, UriKind.RelativeOrAbsolute));
			}
		}

		private void QuickStyles_DeactivatePreview(object sender, RadRoutedEventArgs e)
		{
			RadRibbonGallery gallery = (sender as RadRibbonGallery);
			if (gallery.SelectedItem != null)
			{
				string imageUriString = "/RibbonView/IconMSOffice/" + (gallery.SelectedItem as RadGalleryItem).Name + ".png";
				this.titleImage.Source = new BitmapImage(new Uri(imageUriString, UriKind.RelativeOrAbsolute));
			}
			else
			{
				this.titleImage.Source = null;
			}
		}

		private void RibbonApplicationMenuItem_Hover(object sender, RadRoutedEventArgs e)
		{
			radRibbonBar1.ApplicationMenu.HideInternalPopups();
		}

		private void Image_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			this.ChartTools.IsActive = false;
		}

		private void Border_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			this.ChartTools.IsActive = false;
		}

		private void TextBlock_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			this.ChartTools.IsActive = false;
		}

		private void ChartImage_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			this.ChartTools.IsActive = true;
		}
	}
}
